Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1177952 - [engine-backend] [external-provider] Glance integration: UploadImage (Export disk) fails with java.lang.String
Summary: [engine-backend] [external-provider] Glance integration: UploadImage (Export ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: x86_64
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Oved Ourfali
QA Contact: Elad
URL:
Whiteboard: infra
Depends On:
Blocks: rhev35rcblocker rhev35gablocker
TreeView+ depends on / blocked
 
Reported: 2014-12-31 15:01 UTC by Elad
Modified: 2016-02-10 19:03 UTC (History)
15 users (show)

Fixed In Version: vdsm-4.16.8.1-5.el6ev
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:08:36 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)
engine.log (deleted)
2014-12-31 15:01 UTC, Elad
no flags Details
vdsm logs (deleted)
2015-01-01 08:34 UTC, Elad
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 36515 master MERGED jsonrpc: Image_upload missing in command_info Never
oVirt gerrit 36516 ovirt-3.5 MERGED jsonrpc: Image_upload missing in command_info Never

Description Elad 2014-12-31 15:01:15 UTC
Created attachment 974834 [details]
engine.log

Description of problem:
An attempt to export a disk to a glance repository fails with the follwing exception:

2014-12-31 16:15:26,040 ERROR [org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand] (org.ovirt.thread.pool-7-thread-43) [33d1a69e] ERROR, UploadImageVDSCommand( storagePoolId = 00000002-0002-0002-0002-0000000003e1, ignoreFailoverLimit = false, storageDomainId = 51ab53aa-9b94-4dec-b180-01a0c9de8915, imageGroupId = 18145415-279a-48fd-b42c-763c7c3245a6, imageId = 040cb9cb-d7e9-4d3c-a09d-76155e9389c1), exception: ClassCastException: java.lang.Boolean cannot be cast to java.lang.String, log id: 6de09db2: java.lang.ClassCastException: java.lang.Boolean cannot be cast to java.lang.String
        at org.ovirt.engine.core.vdsbroker.irsbroker.OneUuidReturnForXmlRpc.<init>(OneUuidReturnForXmlRpc.java:18) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.jsonrpc.JsonRpcIIrsServer.uploadImage(JsonRpcIIrsServer.java:137) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.irsbroker.UploadImageVDSCommand.executeIrsBrokerCommand(UploadImageVDSCommand.java:39) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.irsbroker.IrsBrokerCommand.executeVDSCommand(IrsBrokerCommand.java:156) [vdsbroker.jar:]
        at org.ovirt.engine.core.vdsbroker.VDSCommandBase.executeCommand(VDSCommandBase.java:56) [vdsbroker.jar:]
        at org.ovirt.engine.core.dal.VdcCommandBase.execute(VdcCommandBase.java:31) [dal.jar:]
        at org.ovirt.engine.core.vdsbroker.ResourceManager.runVdsCommand(ResourceManager.java:418) [vdsbroker.jar:]
        at org.ovirt.engine.core.bll.VDSBrokerFrontendImpl.RunVdsCommand(VDSBrokerFrontendImpl.java:33) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runVdsCommand(CommandBase.java:2042) [bll.jar:]



Version-Release number of selected component (if applicable):
RHEV 3.5 vt13.5
RHOS 5 Ice-House (AIO)

How reproducible:
Always

Steps to Reproduce:
1. Integrate Glance (RHOS 5) with RHEV as an image provider (http://www.ovirt.org/Features/Glance_Integration)
2. Create a disk 
3. Export the disk to Glance

Actual results:
Export disk fails with the mentioned exception

Expected results:
Export disk to Glance should succeed

Additional info:
engine.log

Comment 2 Allon Mureinik 2014-12-31 20:09:58 UTC
Elad, does this reproduce in XMLRPC too, or only in JSONRPC?

Comment 3 Elad 2015-01-01 08:34:20 UTC
Created attachment 974928 [details]
vdsm logs

Does not reproduce using XML-RPC, only with JSONRPC.

Also, the task is sent to vdsm and gets stuck in state 'finish'.
Attaching vdsm logs


Thread-1114::INFO::2014-12-31 16:22:52,166::logUtils::44::dispatcher::(wrapper) Run and protect: uploadImage

Comment 4 Tal Nisan 2015-01-01 11:11:39 UTC
Sounds like a JSONRPC issue, moving to infra

Comment 5 Elad 2015-01-11 12:34:57 UTC
Export disk to glance works as expected while host and engine communicate by JSON. 

Verified using rhev 3.5 vt13.6

Comment 6 Eyal Edri 2015-02-17 17:08:36 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.